## progress-linux-metapackages 20190701

=== Makefile ===
# Copyright (C) 2010-2019 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT := progress-linux-meta-packages

all: build

clean:
	@# empty

build:
	@# empty

test:
	@# empty

install: install-doc install-man

install-doc:
	# install doc
	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)

install-man:
	# install manpages
	for SECTION in $$(seq 1 8); \
	do \
		if ls manpages/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp manpages/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall: uninstall-doc uninstall-man

uninstall-doc:
	# uninstall doc
	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)

uninstall-man:
	# uninstall manpages
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in manpages/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

reinstall: clean uninstall build install

=== debian/changelog ===
progress-linux-metapackages (20190701-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190701.
  * Adding firmware-ast to progress-linux-host suggests.
  * Adding supermicro-ipmicfg to progress-linux-host suggests.
  * Adding safe-rm to progress-linux-base-system depends.
  * Adding myrepos to progress-linux-base-maintainers depends.
  * Adding sphinx to progress-linux-base-maintainers depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Jun 2019 08:03:28 +0200

progress-linux-metapackages (20190225-5) unstable; urgency=medium

  * Uploading to sid.
  * Adding hdparm to progress-linux-host depends.
  * Adding spectre-meltdown-checker to progress-linux-container-server
    depends.
  * Depending on cryptsetup-bin instead of cryptsetup in progress-linux-
    host.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Apr 2019 13:24:58 +0200

progress-linux-metapackages (20190225-4) unstable; urgency=medium

  * Uploading to sid.
  * Adding gnome-shell-extension-bluetooth-quick-connect to progress-
    linux-gnome-desktop depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Mar 2019 05:59:58 +0100

progress-linux-metapackages (20190225-3) unstable; urgency=medium

  * Uploading to sid.
  * Adding lnav to progress-linux-base-system depends.
  * Adding crudini to progress-linux-base-system depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 16 Mar 2019 10:13:09 +0100

progress-linux-metapackages (20190225-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating URL in watch file.
  * Adding systemd-sysv to progress-linux-container depends.
  * Adding smartmontools to progress-linux-host depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Feb 2019 22:02:05 +0100

progress-linux-metapackages (20190225-1) unstable; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Feb 2019 19:12:16 +0100

=== debian/control ===
Source: progress-linux-metapackages
Section: metapackages
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 12),
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://progress-linux.org
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux-metapackages
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux-metapackages

Package: progress-linux-base-system
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux,
 task-ssh-server,
# bash
 bash-completion,
 powerline, fonts-powerline,
 powerline-gitstatus,
# debian
 apt-utils,
 debconf-utils,
# knot
 knot-dnsutils, knot-host,
 knot-resolver,
# lzip
 plzip,
 tarlz,
# systemd
 libpam-systemd,
# Other
 acl,
 bc,
 ca-certificates,
 crudini,
 gawk,
 git,
 gnupg,
 less,
 lnav,
 lsb-release,
 man-db,
 mc,
 openssl,
 psmisc,
 python3,
 rsync,
 safe-rm,
 screen,
 sudo,
 vim,
 wget,
Enhances:
 progress-linux,
Description: Progress Linux - Base System
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage defining the package selection for the
 Progress Linux Base System.

Package: progress-linux-container
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux-base-system,
# systemd
 dbus,
 policykit-1,
 systemd-sysv,
Enhances:
 progress-linux,
 progress-linux-base-system,
Description: Progress Linux - Container Metapackage
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage to be installed in a container (systemd-nspawn).

Package: progress-linux-host
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux-base-system,
# cryptsetup
 cryptsetup-bin,
 keyutils,
 plymouth,
# firmware-free
 firmware-linux-free,
# Other
 dmidecode,
 haveged,
 hdparm,
 ntp,
 parted,
 rng-tools,
 smartmontools,
Suggests:
# firmware-nonfree (non-free)
 firmware-linux-nonfree, firmware-misc-nonfree,
# microcode (contrib, non-free)
 iucode-tool,
 amd64-microcode,
 intel-microcode,
# third-party firmware
 firmware-ast,
# third-party tools
 supermicro-ipmicfg,
Enhances:
 progress-linux,
 progress-linux-base-system,
Description: Progress Linux - Host Metapackage
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage to be installed on a host system (physical or
 virtual).

Package: progress-linux-maintainers
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux-base-system,
# sphinx
 python3-sphinx,
 python3-sphinx-autobuild,
# Other
 autotools-dev,
 build-essential,
 debhelper,
 debian-keyring,
 debootstrap,
 devscripts,
 diffstat,
 fakeroot,
 git-buildpackage,
 lintian,
 myrepos,
Enhances:
 progress-linux,
 progress-linux-base-system,
Description: Progress Linux - Maintainers Metapackage
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage depending on packages used for
 Progress Linux development.

Package: progress-linux-desktop
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux-base-system,
 task-desktop,
 task-laptop,
 task-print-server,
# calibre
 calibre,
# deluge
 deluge-gtk, deluged,
# firefox
 firefox | firefox-esr,
 webext-https-everywhere,
 webext-ublock-origin,
# filesystems
 dosfstools,
 exfat-fuse,
 exfat-utils,
 nfs-common,
 ntfs-3g,
 samba-common,
 sshfs,
# gimp
 gimp,
 gimp-plugin-registry,
# inkscape
 inkscape,
 inkscape-open-symbols,
# network-manager
 network-manager-config-connectivity-debian,
 network-manager-openvpn,
 network-manager-ssh,
# pass
 pass,
 webext-browserpass,
 pass-extension-tail,
 tree,
# pidgin
 pidgin,
 pidgin-plugin-pack,
 pidgin-otr,
# scribus
 scribus-ng | scribus,
# thunderbird
 thunderbird,
 enigmail,
 xul-ext-quotecolors,
# zip
 unzip,
 zip,
# Other
 apg,
 hardlink,
 nwipe,
 symlinks,
 whois,
Suggests:
# scribus (non-free)
 scribus-ng-doc | scribus-doc,
# virtualbox (contrib, non-free)
 virtualbox,
 virtualbox-dkms,
 virtualbox-ext-pack,
 virtualbox-qt,
Enhances:
 progress-linux,
 progress-linux-base-system,
Description: Progress Linux - Desktop Metapackage
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage to be installed on a desktop.

Package: progress-linux-gnome-desktop
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux-desktop,
 task-gnome-desktop,
# gnome-shell-extensions
 gnome-shell-extension-bluetooth-quick-connect,
 gnome-shell-extension-disconnect-wifi,
 gnome-shell-extension-hide-activities,
 gnome-shell-extension-impatience,
 gnome-shell-extension-multi-monitors,
 gnome-shell-extension-no-annoyance,
 gnome-shell-extension-remove-dropdown-arrows,
# nautilus
 nautilus-admin,
 seahorse-nautilus,
# network-manager
 network-manager-openvpn-gnome,
 network-manager-ssh-gnome,
Enhances:
 progress-linux,
 progress-linux-base-system,
 progress-linux-desktop,
Description: Progress Linux - GNOME Desktop
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage defining the package selection for the
 Progress Linux GNOME Desktop.

Package: progress-linux-server
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux-base-system,
# Other
 localepurge,
 logrotate,
 molly-guard,
 postfix,
Enhances:
 progress-linux,
 progress-linux-base-system,
Description: Progress Linux - Server Metapackage
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage to be installed on a server.

Package: progress-linux-container-server
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 progress-linux-server,
# container-tools
 open-infrastructure-container-tools,
 curl,
 debootstrap,
 irker,
 pv,
 bridge-utils,
 ifenslave,
 vlan,
# monitoring
 netdata,
 spectre-meltdown-checker,
# web
 apache2,
 shellinabox,
Enhances:
 progress-linux,
 progress-linux-base-system,
 progress-linux-server,
Description: Progress Linux - Container Server
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package is a metapackage defining the package selection for the
 Progress Linux Container Server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/progress-linux-base-system

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

## progress-linux-metapackages 20210101

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2019 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -17,7 +17,7 @@
 
 SHELL := sh -e
 
-PROJECT := progress-linux-meta-packages
+PROJECT := progress-linux-metapackages
 
 all: build

=== debian/changelog ===
progress-linux-metapackages (20210101-2) sid; urgency=medium

  * Uploading to sid.
  * Adding breaks exim4-config in progress-linux-server, thanks to Andreas
    Beckmann <anbe@debian.org> (Closes: #985658).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 24 Mar 2021 05:22:08 +0100

progress-linux-metapackages (20210101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210101.
  * Updating year in copyright for 2021.
  * Updating to standards version 4.5.1.
  * Adding rng-tools5 as alternative depends in progress-linux-host.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 16:21:43 +0100

progress-linux-metapackages (20190701-24) sid; urgency=medium

  * Uploading to sid.
  * Prefering ttyd over shellinabox in progress-linux-
    container-server.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 25 Oct 2020 16:30:28 +0100

progress-linux-metapackages (20190701-23) sid; urgency=medium

  * Uploading to sid.
  * Adding ioping to progress-linux-base-system depends.
  * Adding mtr-tiny to progress-linux-base-system depends.
  * Adding sysstat to progress-linux-base-system depends.
  * Adding tcpdump to progress-linux-base-system depends.
  * Adding numad to progress-linux-container-server depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 04 Oct 2020 16:16:18 +0200

progress-linux-metapackages (20190701-22) sid; urgency=medium

  * Uploading to sid.
  * Adding htop to progress-linux-base-system depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 03 Sep 2020 19:56:43 +0200

progress-linux-metapackages (20190701-21) sid; urgency=medium

  * Uploading to sid.
  * Moving deluge to progress-linux-desktop suggests.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Aug 2020 16:01:42 +0200

progress-linux-metapackages (20190701-20) sid; urgency=medium

  * Uploading to sid.
  * Moving knot-resolver related packages from progress-linux-base
    recommends to depends as they have been fixed now.
  * Removing htop from progress-linux-base depends.
  * Removing tree from progress-linux-base depends.
  * Removing xul-ext-quotecolors from progress-linux-desktop suggests.
  * Moving safe-rm from progress-linux-base depends to progress-linux-
    server depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Jul 2020 07:15:17 +0200

progress-linux-metapackages (20190701-19) sid; urgency=medium

  * Uploading to sid.
  * Adding nvme-cli to progress-linux-host depends.
  * Removing calibre from progress-linux-desktop depends.
  * Adding webext-privacy-badger to progress-linux-desktop depends.
  * Adding webext-umatrix to progress-linux-desktop suggests.
  * Adding exfatprogs als prefered alternative to exfat-fuse and exfat-
    utils in progress-linux-desktop depends.
  * Removing network-manager-openvpn from progress-linux-desktop depends.
  * Removing pidgin from progress-linux-desktop depends.
  * Making enigmail conditional on old thunderbird in progress-linux-
    desktop depends.
  * Removing scribus from progress-linux-desktop recommends and suggests.
  * Making enigmail conditional on new gnome-shell in progress-linux-
    gnome-desktop depends.
  * Removing network-manager-openvpn-gnome in progress-linux-gnome-desktop
    depends.
  * Harmonizing comments in control.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Jul 2020 19:36:10 +0200

progress-linux-metapackages (20190701-18) sid; urgency=medium

  * Uploading to sid.
  * Adding ethtool to progress-linux-host depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Jun 2020 17:42:46 +0200

progress-linux-metapackages (20190701-17) sid; urgency=medium

  * Uploading to sid.
  * Updating to debhelper version 13.
  * Excluding thinderbird and related packages on armhf and armel where
    they are currently unavaible.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Apr 2020 14:15:49 +0200

progress-linux-metapackages (20190701-16) sid; urgency=medium

  * Uploading to sid.
  * Adding cups as alternative in progress-linux-desktop depends (Closes:
    #954394).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 21 Mar 2020 09:41:17 +0100

progress-linux-metapackages (20190701-15) sid; urgency=medium

  * Uploading to sid.
  * Dropping haveged from progress-linux-host, not needed with linux 5.4
    anymore.
  * Adding liferea to progress-linux-desktop depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Mar 2020 19:44:27 +0100

progress-linux-metapackages (20190701-14) sid; urgency=medium

  * Uploading to sid.
  * Moving fonts-powerline-extra from progress-linux-base-system to
    progress-linux-host.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 09 Mar 2020 07:27:42 +0100

progress-linux-metapackages (20190701-13) sid; urgency=medium

  * Uploading to sid.
  * Adding suggests to fonts-powelrine-extra to progress-linux-base-
    system.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 07 Mar 2020 11:59:05 +0100

progress-linux-metapackages (20190701-12) sid; urgency=medium

  * Uploading to sid.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Adding socat to progress-linux-base-system recommends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Feb 2020 15:36:00 +0100

progress-linux-metapackages (20190701-11) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding python3-debian to progress-linux-maintainers depends.
  * Moving xul-ext-quotecolors to progress-linux-desktop suggests.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Feb 2020 06:53:54 +0100

progress-linux-metapackages (20190701-10) sid; urgency=medium

  * Uploading to sid.
  * Moving gnome-shell-extension-multi-monitors back to progress-linux-


=== debian/control ===
--- 
+++ 
@@ -3,30 +3,31 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux-metapackages
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux-metapackages
 
 Package: progress-linux-base-system
 Section: metapackages
-Architecture: all
+Architecture: any
 Depends:
  ${misc:Depends},
  progress-linux,
  task-ssh-server,
 # bash
  bash-completion,
- powerline, fonts-powerline,
+ powerline,
  powerline-gitstatus,
 # debian
  apt-utils,
  debconf-utils,
 # knot
  knot-dnsutils, knot-host,
- knot-resolver,
+ knot-resolver [amd64 armhf armel i386],
+ socat,
 # lzip
  plzip,
  tarlz,
@@ -40,20 +41,27 @@
  gawk,
  git,
  gnupg,
+ htop,
+ ioping,
  less,
  lnav,
  lsb-release,
+ lynx,
  man-db,
  mc,
+ mtr-tiny,
  openssl,
  psmisc,
  python3,
  rsync,
- safe-rm,
  screen,
  sudo,
+ sysstat,
+ tcpdump,
  vim,
  wget,
+Conflicts:
+ resolvconf,
 Enhances:
  progress-linux,
 Description: Progress Linux - Base System
@@ -73,6 +81,10 @@
  dbus,
  policykit-1,
  systemd-sysv,
+Conflicts:
+ molly-guard,
+Replaces:
+ molly-guard,
 Enhances:
  progress-linux,
  progress-linux-base-system,
@@ -84,7 +96,7 @@
 
 Package: progress-linux-host
 Section: metapackages
-Architecture: all
+Architecture: any
 Depends:
  ${misc:Depends},
  progress-linux-base-system,
@@ -94,24 +106,31 @@
  plymouth,
 # firmware-free
  firmware-linux-free,
-# Other
- dmidecode,
- haveged,
+# monitoring
+ spectre-meltdown-checker,
+# Other
+ dmidecode [amd64 arm64 armhf i386],
+ ethtool,
+ gpm,
  hdparm,
  ntp,
+ nvme-cli,
  parted,
- rng-tools,
+ rng-tools | rng-tools5,
  smartmontools,
 Suggests:
+# bash
+ fonts-powerline-extra,
 # firmware-nonfree (non-free)
  firmware-linux-nonfree, firmware-misc-nonfree,
 # microcode (contrib, non-free)
  iucode-tool,
  amd64-microcode,
  intel-microcode,
-# third-party firmware
+# firmware (third-party)
  firmware-ast,
-# third-party tools
+# Other (third-party)
+ intel-isdct,
  supermicro-ipmicfg,
 Enhances:
  progress-linux,
@@ -129,17 +148,21 @@
 Depends:
  ${misc:Depends},
  progress-linux-base-system,
+# devscripts
+ devscripts,
+ python3-debian,
 # sphinx
  python3-sphinx,
  python3-sphinx-autobuild,
+ graphviz,
 # Other
  autotools-dev,
  build-essential,
  debhelper,
  debian-keyring,
  debootstrap,
- devscripts,
  diffstat,
+ dput,
  fakeroot,
  git-buildpackage,
  lintian,
@@ -156,25 +179,24 @@
 
 Package: progress-linux-desktop
 Section: metapackages
-Architecture: all
+Architecture: any
 Depends:
  ${misc:Depends},
  progress-linux-base-system,
  task-desktop,
  task-laptop,
- task-print-server,
-# calibre
- calibre,
-# deluge
- deluge-gtk, deluged,
+ task-print-server | cups,
+# bash
+ fonts-powerline,
 # firefox
- firefox | firefox-esr,
+ firefox | firefox-esr | www-browser,
  webext-https-everywhere,
+ webext-privacy-badger,
  webext-ublock-origin,
 # filesystems
  dosfstools,
- exfat-fuse,
- exfat-utils,
+ exfatprogs | exfat-fuse,
+ exfatprogs | exfat-utils,
  nfs-common,
  ntfs-3g,
  samba-common,
@@ -185,25 +207,21 @@
 # inkscape
  inkscape,
  inkscape-open-symbols,
+# liferea
+ liferea,
+ gir1.2-gstreamer-1.0,
+ gir1.2-notify-0.7,
 # network-manager
  network-manager-config-connectivity-debian,
- network-manager-openvpn,
  network-manager-ssh,
 # pass
  pass,
- webext-browserpass,
+ webext-browserpass [amd64 arm64 armhf i386],
  pass-extension-tail,
  tree,
-# pidgin
- pidgin,
- pidgin-plugin-pack,
- pidgin-otr,
-# scribus
- scribus-ng | scribus,
 # thunderbird
- thunderbird,
- enigmail,
- xul-ext-quotecolors,
+ thunderbird [amd64 arm64 i386],
+ thunderbird (>= 78) [amd64 arm64 i386] | enigmail [amd64 arm64 i386],
 # zip
  unzip,
  zip,
@@ -214,8 +232,10 @@
  symlinks,
  whois,
 Suggests:
-# scribus (non-free)
- scribus-ng-doc | scribus-doc,
+# deluge
+ deluge-gtk, deluged,
+# firefox
+ webext-umatrix,
 # virtualbox (contrib, non-free)
  virtualbox,
  virtualbox-dkms,
@@ -238,7 +258,7 @@
  progress-linux-desktop,
  task-gnome-desktop,
 # gnome-shell-extensions
- gnome-shell-extension-bluetooth-quick-connect,
+ gnome-shell-extension-bluetooth-quick-connect | gnome-shell (<< 3.36),
  gnome-shell-extension-disconnect-wifi,
  gnome-shell-extension-hide-activities,
  gnome-shell-extension-impatience,
@@ -249,7 +269,6 @@
  nautilus-admin,
  seahorse-nautilus,
 # network-manager
- network-manager-openvpn-gnome,
  network-manager-ssh-gnome,
 Enhances:
  progress-linux,
@@ -271,8 +290,11 @@
 # Other
  localepurge,
  logrotate,
- molly-guard,
+ molly-guard | progress-linux-container,
  postfix,
+ safe-rm,
+Breaks:
+ exim4-config,
 Enhances:
  progress-linux,
  progress-linux-base-system,
@@ -299,10 +321,14 @@
  vlan,
 # monitoring
  netdata,
- spectre-meltdown-checker,
+ netdata-apache2,
+ netdata-plugins-python,
 # web
  apache2,
- shellinabox,
+# Other
+ numad,
+Suggests:
+ ttyd,
 Enhances:
  progress-linux,
  progress-linux-base-system,

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.progress-linux.org/packages/progress-linux-metapackages/upstream/progress-linux-metapackages-(.+)\.tar\.lz

## progress-linux-metapackages 20221002

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2022 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -13,19 +13,28 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 SHELL := sh -e
 
-PROJECT := progress-linux-metapackages
+PROJECT := progress-linux
+SOFTWARE := progress-linux-metapackages
+
+VERSION := $(shell cat VERSION.txt)
 
 all: build
 
-clean:
-	@# empty
+clean: clean-man
 
-build:
-	@# empty
+clean-man:
+	# clean man
+	$(MAKE) -C man clean
+
+build: build-man
+
+build-man:
+	# build man
+	$(MAKE) -C man build
 
 test:
 	@# empty
@@ -38,13 +47,13 @@
 	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)
 
 install-man:
-	# install manpages
+	# install man
 	for SECTION in $$(seq 1 8); \
 	do \
-		if ls manpages/*.$${SECTION} > /dev/null 2>&1; \
+		if ls man/*.$${SECTION} > /dev/null 2>&1; \
 		then \
 			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
-			cp manpages/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
+			cp man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
 		fi; \
 	done
 
@@ -55,10 +64,10 @@
 	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
 
 uninstall-man:
-	# uninstall manpages
+	# uninstall man
 	for SECTION in $$(seq 1 8); \
 	do \
-		for FILE in manpages/*.$${SECTION}; \
+		for FILE in man/*.$${SECTION}; \
 		do \
 			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
 		done; \
@@ -66,3 +75,27 @@
 	done
 
 reinstall: clean uninstall build install
+
+distclean: clean
+	rm -rf $(SOFTWARE)-$(VERSION)
+
+release: distclean
+	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
+	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true
+
+	mkdir -p $(SOFTWARE)-$(VERSION)
+	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;
+
+	for FORMAT in xz lzip; \
+	do \
+		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
+		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
+		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
+		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
+		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
+	done
+
+	rm -rf $(SOFTWARE)-$(VERSION)
+
+upload:
+	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream

=== man/Makefile ===
# Copyright (C) 2010-2022 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} progress-linux-metapackages |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
progress-linux-metapackages (20221002-27) sid; urgency=medium

  * Adding ncdu to progress-linux-base-system.
  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:21:46 +0200

progress-linux-metapackages (20221002-26) sid; urgency=medium

  * Adding gnome-shell-extension-manager to progress-linux-gnome-desktop
    depends.
  * Adding gnome-shell-extension-no-annoyance to progress-linux-gnome-
    desktop depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Jul 2025 15:31:35 +0200

progress-linux-metapackages (20221002-25) sid; urgency=medium

  * Adding haveged to progress-linux-host depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Jul 2025 17:14:12 +0200

progress-linux-metapackages (20221002-24) sid; urgency=medium

  * Adding firmware-intel-misc to progress-linux-host suggests.
  * Adding firmware-linux to progress-linux-host suggests.
  * Removing liferea from progress-linux-desktop depends.
  * Removing deluge from progress-linux-desktop suggests.
  * Removing apache2 from progress-linux-container-server recommends.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 21:49:08 +0200

progress-linux-metapackages (20221002-23) sid; urgency=medium

  * Removing netdata from progress-linux-container-server recommends (see
    #1106233 and #1107082).

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Jun 2025 06:14:06 +0200

progress-linux-metapackages (20221002-22) sid; urgency=medium

  * Updating open-infrastructure-compute-tools depends.
  * Marking lnav depends as non-armel and non-armhf only.

 -- Daniel Baumann <daniel@debian.org>  Fri, 11 Apr 2025 16:00:47 +0200

progress-linux-metapackages (20221002-21) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to fix --rename
    flags on duplicated diversions (DEP17 M18, Closes: #1092956).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 16 Jan 2025 06:44:15 +0100

progress-linux-metapackages (20221002-20) sid; urgency=medium

  * Uploading to sid.
  * Using consolation instead of gpm.
  * Dropping gimp on s390x in progress-linux-desktop depends (Closes:
    #1089738).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 Dec 2024 18:04:29 +0100

progress-linux-metapackages (20221002-19) sid; urgency=medium

  * Uploading to sid.
  * Removing gimp-plugin-registry from progress-linux-gnome-desktop
    depends (Closes: #1088061).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 22 Nov 2024 20:03:55 +0100

progress-linux-metapackages (20221002-18) sid; urgency=medium

  * Uploading to sid.
  * Moving netdata in progress-linux-container-server from depends to
    recommends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Oct 2024 17:52:19 +0100

progress-linux-metapackages (20221002-17) sid; urgency=medium

  * Uploading to sid.
  * Removing plymouth from progress-linux-base-system depends.
  * Removing debootstrap as alternative in progress-linux-maintainers
    depends.
  * Adding ipcalc-ng to progress-linux-base-system depends.
  * Adding jq to progress-linux-base-system depends.
  * Removing debootstrap as alternative in progress-linux-container-server
    depends.
  * Adding firmware-ast to progress-linux-host suggests.
  * Adding third-party packages to progress-linux-host suggests.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 08 Oct 2024 23:43:15 +0200

progress-linux-metapackages (20221002-16) sid; urgency=medium

  * Uploading to sid.
  * Also removing dropped gnome-shell-extension-bluetooth-quick-connect
    from progress-linux-gnome-desktop depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 28 Jul 2024 16:09:05 +0200

progress-linux-metapackages (20221002-15) sid; urgency=medium

  * Uploading to sid.
  * Moving files to /usr (Closes: #1073708).
  * Removing gnome-shell-extension-no-annoyance from progress-linux-gnome-
    desktop depends (Closes: #1076259).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 00:41:54 +0200

progress-linux-metapackages (20221002-14) sid; urgency=medium

  * Uploading to sid.
  * Adding vim-nftables to progress-linux-base-system suggests.
  * Updating to standards-version 4.7.0.
  * Adding pavucontrol to progress-linux-gnome depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 06:46:42 +0200

progress-linux-metapackages (20221002-13) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Removing inkscape-open-symbols from progress-linux-desktop depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 27 Feb 2024 06:53:58 +0100

progress-linux-metapackages (20221002-12) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to delete
    /usr/lib/container/divert on package removal.
  * Cosmetically harmonizing directory cleanup in progress-linux
    maintainer scripts for better readability.
  * Correcting wrong package name in previous changelog entry about
    harmonizing container diversion handling.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Dec 2023 08:36:57 +0100

progress-linux-metapackages (20221002-11) experimental; urgency=medium

  * Uploading to experimental.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to duplicate
    diversion via DEP17 M18 (Closes: #1055511).
  * Cosmetically harmonizing diversion handling in progress-linux-container
    maintainer scripts for better readability.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Dec 2023 11:26:39 +0100

progress-linux-metapackages (20221002-10) sid; urgency=medium

  * Uploading to sid.
  * Removing previous diversions when upgrading from bullseye in progress-
    linux-container (Closes: #1035604).
  * Adding console-setup to progress-linux-host depends.
  * Removing 32bit architectures from depends.
  * Moving from knot-resolver to systemd-resolved.


=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
+ python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux-metapackages
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux-metapackages
@@ -24,46 +25,53 @@
 # debian
  apt-utils,
  debconf-utils,
+ needrestart,
 # knot
- knot-dnsutils, knot-host,
- knot-resolver [amd64 armhf armel i386],
- socat,
+ knot-dnsutils,
+ knot-host,
 # lzip
  plzip,
  tarlz,
+ zutils,
 # systemd
  libpam-systemd,
-# Other
+ systemd-resolved,
+ systemd-oomd,
+# other
  acl,
  bc,
  ca-certificates,
- crudini,
  gawk,
  git,
  gnupg,
  htop,
- ioping,
+ ipcalc-ng,
+ jq,
  less,
- lnav,
+ lnav [!armel !armhf],
  lsb-release,
  lynx,
  man-db,
  mc,
  mtr-tiny,
+ ncdu,
  openssl,
  psmisc,
  python3,
+ ptpython,
  rsync,
  screen,
  sudo,
- sysstat,
  tcpdump,
+ traceroute,
  vim,
  wget,
-Conflicts:
- resolvconf,
-Enhances:
- progress-linux,
+ whois,
+ zstd,
+Enhances:
+ progress-linux,
+Suggests:
+ vim-nftables,
 Description: Progress Linux - Base System
  Progress Linux is a Debian derivative distribution focused on system
  integration.
@@ -79,11 +87,13 @@
  progress-linux-base-system,
 # systemd
  dbus,
- policykit-1,
+ polkitd,
  systemd-sysv,
 Conflicts:
+ bfh-container,
  molly-guard,
 Replaces:
+ bfh-container,
  molly-guard,
 Enhances:
  progress-linux,
@@ -103,35 +113,39 @@
 # cryptsetup
  cryptsetup-bin,
  keyutils,
- plymouth,
 # firmware-free
  firmware-linux-free,
 # monitoring
  spectre-meltdown-checker,
-# Other
- dmidecode [amd64 arm64 armhf i386],
+# other
+ consolation,
+ console-setup,
+ dmidecode [amd64 arm64],
  ethtool,
- gpm,
+ haveged,
  hdparm,
- ntp,
  nvme-cli,
  parted,
- rng-tools | rng-tools5,
  smartmontools,
+ systemd-timesyncd,
 Suggests:
 # bash
  fonts-powerline-extra,
 # firmware-nonfree (non-free)
- firmware-linux-nonfree, firmware-misc-nonfree,
+ firmware-linux,
+ firmware-linux-nonfree,
+ firmware-misc-nonfree,
+ firmware-intel-misc,
+# firmware (non-free)
+ firmware-ast,
 # microcode (contrib, non-free)
  iucode-tool,
  amd64-microcode,
  intel-microcode,
-# firmware (third-party)
- firmware-ast,
-# Other (third-party)
- intel-isdct,
+# other (third-party)
  supermicro-ipmicfg,
+ intel-x710-firmware,
+ intel-e810-firmware,
 Enhances:
  progress-linux,
  progress-linux-base-system,
@@ -148,25 +162,35 @@
 Depends:
  ${misc:Depends},
  progress-linux-base-system,
+# dpkg
+ autotools-dev,
+ build-essential,
+ debhelper,
+ debian-keyring,
+ mmdebstrap,
+ dput,
+ fakeroot,
+ lintian,
 # devscripts
  devscripts,
  python3-debian,
+# git
+ git-buildpackage,
+ myrepos,
+ pre-commit,
+# knot
+ knot-dnssecutils,
 # sphinx
  python3-sphinx,
  python3-sphinx-autobuild,
  graphviz,
-# Other
- autotools-dev,
- build-essential,
- debhelper,
- debian-keyring,
- debootstrap,
+# other
  diffstat,
- dput,
- fakeroot,
- git-buildpackage,
- lintian,
- myrepos,
+ fq,
+ jq,
+Suggests:
+# git
+ pre-commit-hooks,
 Enhances:
  progress-linux,
  progress-linux-base-system,
@@ -185,62 +209,42 @@
  progress-linux-base-system,
  task-desktop,
  task-laptop,
- task-print-server | cups,
+ cups,
 # bash
  fonts-powerline,
 # firefox
  firefox | firefox-esr | www-browser,
- webext-https-everywhere,
+ webext-foxyproxy,
  webext-privacy-badger,
- webext-ublock-origin,
+ webext-ublock-origin-firefox,
 # filesystems
  dosfstools,
- exfatprogs | exfat-fuse,
- exfatprogs | exfat-utils,
+ exfatprogs,
  nfs-common,
  ntfs-3g,
  samba-common,
  sshfs,
 # gimp
- gimp,
- gimp-plugin-registry,
+ gimp [!s390x],
 # inkscape
  inkscape,
- inkscape-open-symbols,
-# liferea
- liferea,
- gir1.2-gstreamer-1.0,
- gir1.2-notify-0.7,
 # network-manager
  network-manager-config-connectivity-debian,
  network-manager-ssh,
-# pass
- pass,
- webext-browserpass [amd64 arm64 armhf i386],
- pass-extension-tail,
- tree,
 # thunderbird
- thunderbird [amd64 arm64 i386],
- thunderbird (>= 78) [amd64 arm64 i386] | enigmail [amd64 arm64 i386],
+ thunderbird [amd64 arm64],
 # zip
  unzip,
  zip,
-# Other
+# other
  apg,
- hardlink,
  nwipe,
  symlinks,
- whois,
-Suggests:
-# deluge
- deluge-gtk, deluged,
-# firefox
- webext-umatrix,
+Suggests:
 # virtualbox (contrib, non-free)
  virtualbox,
  virtualbox-dkms,
  virtualbox-ext-pack,
- virtualbox-qt,
 Enhances:
  progress-linux,
  progress-linux-base-system,
@@ -257,17 +261,15 @@
  ${misc:Depends},
  progress-linux-desktop,
  task-gnome-desktop,
+# gnome
+ pavucontrol,
 # gnome-shell-extensions
- gnome-shell-extension-bluetooth-quick-connect | gnome-shell (<< 3.36),
- gnome-shell-extension-disconnect-wifi,
- gnome-shell-extension-hide-activities,
+ gnome-shell-extension-manager,
+ gnome-shell-extensions-extra,
  gnome-shell-extension-impatience,
- gnome-shell-extension-multi-monitors,
  gnome-shell-extension-no-annoyance,
- gnome-shell-extension-remove-dropdown-arrows,
 # nautilus
  nautilus-admin,
- seahorse-nautilus,
 # network-manager
  network-manager-ssh-gnome,
 Enhances:
@@ -287,7 +289,7 @@
 Depends:
  ${misc:Depends},
  progress-linux-base-system,
-# Other
+# other
  localepurge,
  logrotate,
  molly-guard | progress-linux-container,
@@ -311,21 +313,14 @@
  ${misc:Depends},
  progress-linux-server,
 # container-tools
- open-infrastructure-container-tools,
+ open-infrastructure-compute-tools,
  curl,
- debootstrap,
+ mmdebstrap,
  irker,
  pv,
  bridge-utils,
- ifenslave,
- vlan,
-# monitoring
- netdata,
- netdata-apache2,
- netdata-plugins-python,
-# web
- apache2,
-# Other
+# other
+ lldpd,
  numad,
 Suggests:
  ttyd,

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/progress-linux-base-system

execute_after_dh_auto_install:
	# shutdown
	mkdir -p debian/progress-linux-container/sbin
	for FILE in halt poweroff reboot shutdown coldreboot; \
	do \
		cp debian/local/shutdown debian/progress-linux-container/sbin/$${FILE}; \
	done

	mkdir -p debian/progress-linux-container/usr/sbin
	for FILE in pm-hibernate pm-suspend pm-suspend-hybrid; \
	do \
		cp debian/local/shutdown debian/progress-linux-container/usr/sbin/$${FILE}; \
	done

	mkdir -p debian/progress-linux-container/usr/share/container
	cp debian/local/shutdown.txt debian/progress-linux-container/usr/share/container

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

execute_after_dh_install:
	if command -v dh_movetousr > /dev/null 2>&1; then dh_movetousr; fi

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/progress-linux-metapackages/progress-linux-metapackages-(.+)\.tar\.lz

## progress-linux-metapackages 20260205

=== Makefile ===
# Progress Linux metapackages

# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT := progress-linux-metapackages
VERSION := $(shell cat VERSION.txt)

all: build

clean: clean-man

clean-man:
	$(MAKE) -C man clean

build: build-man

build-man:
	$(MAKE) -C man build

test:
	@# empty

install: install-doc install-man

install-doc:
	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)

install-man: build-man
	for SECTION in $$(seq 1 8); \
	do \
		if ls man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall: uninstall-doc uninstall-man
	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true

uninstall-doc:
	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc || true

uninstall-man:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

reinstall: clean uninstall build install

release: clean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(PROJECT)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(PROJECT)-$(VERSION) -exec cp \-a {} $(PROJECT)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} $(PROJECT)-$(VERSION); \
		sha512sum ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} > ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 00xFBB4F0E80A80222 --armor -b ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.asc ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(PROJECT)-$(VERSION)

upload:
	scp ../$(PROJECT)-$(VERSION).* apt.progress-linux.org:/srv/apt.progress-linux.org/archive/upstream/$(PROJECT)

=== man/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-# Copyright (C) 2010-2022 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Progress Linux metapackages
+
+# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
progress-linux-metapackages (20260205-2) sid; urgency=medium

  * Correcting wrong bugnumber in previous changelog entry.
  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 08:38:09 +0100

progress-linux-metapackages (20260205-1) sid; urgency=medium

  * Merging upstream version 20260205.
  * Adding numactl to progress-linux-container-server depends.
  * Harmonizing email addresses.
  * Removing Rules-Requires-Root, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating vcs fields.
  * Updating copyright file.
  * Updating upstream sigining-key.
  * Removing dh_movetousr and directly using directories in /usr (Closes:
    #1122796).
  * Removing pre-trixie usr-is-merged handling.
  * Removing now unused pm divertions.
  * Updating watch file to version 5.
  * Correcting typo in 20211008-11 changelog entry.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 18:26:57 +0100

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/progress-linux-base-system

execute_after_dh_auto_install:
	# shutdown
	mkdir -p debian/progress-linux-container/usr/sbin
	for FILE in halt poweroff reboot shutdown coldreboot; \
	do \
		cp debian/local/shutdown debian/progress-linux-container/usr/sbin/$${FILE}; \
	done

	mkdir -p debian/progress-linux-container/usr/share/container
	cp debian/local/shutdown.txt debian/progress-linux-container/usr/share/container

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

=== debian/watch ===
Version: 5

Source: https://archive.progress-linux.org/archive/upstream/@PACKAGE@
